Package org.codehaus.groovy.antlr.treewalker

# Class TraversalHelper

java.lang.Object
org.codehaus.groovy.antlr.treewalker.TraversalHelper

All Implemented Interfaces:
  `AntlrASTProcessor`

Direct Known Subclasses:
  `FlatNodeListTraversal`, `PreOrderTraversal`, `SourceCodeTraversal`

    @Deprecated
    public abstract class TraversalHelper
    extends java.lang.Object
    implements AntlrASTProcessor

Deprecated.
Helper Class for Antlr AST traversal and visitation.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.List<GroovySourceAST>` | `unvisitedNodes` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TraversalHelper​(Visitor visitor)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected abstract void` | `accept​(GroovySourceAST currentNode)` | Deprecated.
  `protected void` | `accept_FirstChild_v_RestOfTheChildren​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_FirstChild_v_RestOfTheChildren_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_FirstChild_v_RestOfTheChildren_v_LastChild​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_FirstChild_v_SecondChild​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_FirstChild_v_SecondChild_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_FirstChild_v_SecondChild_v_ThirdChild_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_FirstChild_v_SecondChildsChildren_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_FirstSecondAndThirdChild_v_v_ForthChild​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_SecondChild_v_ThirdChild_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_AllChildren_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_AllChildren_v_Siblings​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChild_SecondChild_v_ThirdChild_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChild_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChild_v_RestOfTheChildren​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChild_v_RestOfTheChildren_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChild_v_SecondChild_v___LastChild_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_FirstChildsFirstChild_v_RestOfTheChildren​(GroovySourceAST t)` | Deprecated.
  `protected void` | `accept_v_Siblings_v​(GroovySourceAST t)` | Deprecated.
  `protected void` | `acceptChildren​(GroovySourceAST t)` | Deprecated.
  `protected void` | `acceptSiblings​(GroovySourceAST t)` | Deprecated.
  `protected void` | `closingVisit​(GroovySourceAST t)` | Deprecated.
  `protected void` | `openingVisit​(GroovySourceAST t)` | Deprecated.
  `protected GroovySourceAST` | `pop()` | Deprecated.
  `AST` | `process​(AST t)` | Deprecated. performs some processing on the supplied AST node.
  `protected void` | `push​(GroovySourceAST ast)` | Deprecated.
  `protected void` | `secondVisit​(GroovySourceAST t)` | Deprecated.
  `protected void` | `setUp​(GroovySourceAST ast)` | Deprecated.
  `protected void` | `skip​(GroovySourceAST expr)` | Deprecated.
  `protected void` | `subsequentVisit​(GroovySourceAST t)` | Deprecated.
  `protected void` | `tearDown​(GroovySourceAST ast)` | Deprecated.
  `protected void` | `visitNode​(GroovySourceAST ast, int n)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### unvisitedNodes

    protected java.util.List<GroovySourceAST> unvisitedNodes
    Deprecated.

- ## Constructor Details

  - ### TraversalHelper

    public TraversalHelper​(Visitor visitor)
    Deprecated.

- ## Method Details

  - ### setUp

    protected void setUp​(GroovySourceAST ast)
    Deprecated.

  - ### tearDown

    protected void tearDown​(GroovySourceAST ast)
    Deprecated.

  - ### push

    protected void push​(GroovySourceAST ast)
    Deprecated.

  - ### pop

    protected GroovySourceAST pop()
    Deprecated.

  - ### visitNode

    protected void visitNode​(GroovySourceAST ast, int n)
    Deprecated.

  - ### accept

    protected abstract void accept​(GroovySourceAST currentNode)
    Deprecated.

  - ### accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild

    protected void accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_FirstChildsFirstChild_v_RestOfTheChildren

    protected void accept_v_FirstChildsFirstChild_v_RestOfTheChildren​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstChild_v_SecondChild

    protected void accept_FirstChild_v_SecondChild​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstChild_v_SecondChild_v

    protected void accept_FirstChild_v_SecondChild_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_SecondChild_v_ThirdChild_v

    protected void accept_SecondChild_v_ThirdChild_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstChild_v_SecondChildsChildren_v

    protected void accept_FirstChild_v_SecondChildsChildren_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_FirstChild_SecondChild_v_ThirdChild_v

    protected void accept_v_FirstChild_SecondChild_v_ThirdChild_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstChild_v_SecondChild_v_ThirdChild_v

    protected void accept_FirstChild_v_SecondChild_v_ThirdChild_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstSecondAndThirdChild_v_v_ForthChild

    protected void accept_FirstSecondAndThirdChild_v_v_ForthChild​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v

    protected void accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_FirstChild_v_SecondChild_v___LastChild_v

    protected void accept_v_FirstChild_v_SecondChild_v___LastChild_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_FirstChild_v

    protected void accept_v_FirstChild_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_Siblings_v

    protected void accept_v_Siblings_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_AllChildren_v_Siblings

    protected void accept_v_AllChildren_v_Siblings​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_AllChildren_v

    protected void accept_v_AllChildren_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstChild_v_RestOfTheChildren

    protected void accept_FirstChild_v_RestOfTheChildren​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstChild_v_RestOfTheChildren_v_LastChild

    protected void accept_FirstChild_v_RestOfTheChildren_v_LastChild​(GroovySourceAST t)
    Deprecated.

  - ### accept_FirstChild_v_RestOfTheChildren_v

    protected void accept_FirstChild_v_RestOfTheChildren_v​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_FirstChild_v_RestOfTheChildren

    protected void accept_v_FirstChild_v_RestOfTheChildren​(GroovySourceAST t)
    Deprecated.

  - ### accept_v_FirstChild_v_RestOfTheChildren_v

    protected void accept_v_FirstChild_v_RestOfTheChildren_v​(GroovySourceAST t)
    Deprecated.

  - ### acceptSiblings

    protected void acceptSiblings​(GroovySourceAST t)
    Deprecated.

  - ### acceptChildren

    protected void acceptChildren​(GroovySourceAST t)
    Deprecated.

  - ### skip

    protected void skip​(GroovySourceAST expr)
    Deprecated.

  - ### openingVisit

    protected void openingVisit​(GroovySourceAST t)
    Deprecated.

  - ### secondVisit

    protected void secondVisit​(GroovySourceAST t)
    Deprecated.

  - ### subsequentVisit

    protected void subsequentVisit​(GroovySourceAST t)
    Deprecated.

  - ### closingVisit

    protected void closingVisit​(GroovySourceAST t)
    Deprecated.

  - ### process

    public AST process​(AST t)
    Deprecated.
    Description copied from interface: `AntlrASTProcessor`
    performs some processing on the supplied AST node.
    Specified by:
      `process` in interface `AntlrASTProcessor`
    Parameters:
      `t` - the AST node to process.
    Returns:
      possibly returns the AST modified or null, depends on the implementation.